package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Txflog;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;

@Mapper
public interface TxflogMapper {

    int insert(Txflog record);

    int insertSelective(Txflog record);

    int updateByPrimaryKeySelective(Txflog record);

    int updateByPrimaryKey(Txflog record);

    int deleteByPrimaryKey(Txflog record);

    Txflog selectByPrimaryKey(Txflog record);

    Txflog selectByBsnsrlno(Txflog record);

    Txflog selectByBsnsrlnoAndUpdtyp(Txflog record);

}